Package: org.codehaus.groovy.runtime.callsite

## [Java] Class StaticMetaMethodSite

- org.codehaus.groovy.runtime.callsite.StaticMetaMethodSite

-     public class StaticMetaMethodSite
      extends MetaMethodSite

  POJO call site meta class - cached method - cached

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `static class` | `StaticMetaMethodSite.StaticMetaMethodSiteNoUnwrap` | Call site where we know there is no need to unwrap arguments
    `static class` | `StaticMetaMethodSite.StaticMetaMethodSiteNoUnwrapNoCoerce` | Call site where we know there is no need neither unwrap nor coerce arguments

  - ### Constructor Summary

    Constructors
    Constructor and description
    `StaticMetaMethodSite(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, Class[] params)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Object` | `call(Object receiver, Object[] args)`
    `` | `public Object` | `callStatic(Class receiver, Object[] args)`
    `` | `public static CallSite` | `createStaticMetaMethodSite(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, Class[] params, Object[] args)`
    `` | `public Object` | `invoke(Object receiver, Object[] args)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractCallSite` | `acceptGetProperty, acceptGroovyObjectGetProperty, call, call, call, call, call, call, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callGetProperty, callGetPropertySafe, callGroovyObjectGetProperty, callGroovyObjectGetPropertySafe, callSafe, callSafe, callSafe, callSafe, callSafe, callSafe, callStatic, callStatic, callStatic, callStatic, callStatic, callStatic, getArray, getIndex, getName, getProperty`

- - ### Constructor Detail

    - #### public StaticMetaMethodSite(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, Class[] params)

  - ### Method Detail

    - #### @Override
      public Object call(Object receiver, Object[] args)

    - #### @Override
      public Object callStatic(Class receiver, Object[] args)

    - #### public static CallSite createStaticMetaMethodSite(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, Class[] params, Object[] args)

    - #### public Object invoke(Object receiver, Object[] args)